Bug 1301061 - [abrt] glogg: qt_message_fatal(): glogg killed by SIGABRT
[abrt] glogg: qt_message_fatal(): glogg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d8b3c6466176af78c303fe61cc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 08:28 EST by Damon Hill
Modified: 2016-12-20 13:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:04:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.67 KB, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: core_backtrace (4.72 KB, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: dso_list (6.27 KB, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: environ (137 bytes, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: maps (31.66 KB, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: mountinfo (3.45 KB, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: open_fds (137 bytes, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: proc_pid_status (972 bytes, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details
File: var_log_messages (444 bytes, text/plain)
2016-01-22 08:28 EST, Damon Hill
no flags Details

  None (edit)
Description Damon Hill 2016-01-22 08:28:20 EST
Version-Release number of selected component:
glogg-1.0.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/glogg
crash_function: qt_message_fatal
executable:     /usr/bin/glogg
global_pid:     3645
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1578
 #3 QMessageLogger::fatal at global/qlogging.cpp:781
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:525
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:177
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1019
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1176
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1193
Comment 1 Damon Hill 2016-01-22 08:28:26 EST
Created attachment 1117182 [details]
File: backtrace
Comment 2 Damon Hill 2016-01-22 08:28:28 EST
Created attachment 1117183 [details]
File: cgroup
Comment 3 Damon Hill 2016-01-22 08:28:29 EST
Created attachment 1117184 [details]
File: core_backtrace
Comment 4 Damon Hill 2016-01-22 08:28:31 EST
Created attachment 1117185 [details]
File: dso_list
Comment 5 Damon Hill 2016-01-22 08:28:32 EST
Created attachment 1117186 [details]
File: environ
Comment 6 Damon Hill 2016-01-22 08:28:34 EST
Created attachment 1117187 [details]
File: limits
Comment 7 Damon Hill 2016-01-22 08:28:36 EST
Created attachment 1117188 [details]
File: maps
Comment 8 Damon Hill 2016-01-22 08:28:38 EST
Created attachment 1117189 [details]
File: mountinfo
Comment 9 Damon Hill 2016-01-22 08:28:39 EST
Created attachment 1117190 [details]
File: namespaces
Comment 10 Damon Hill 2016-01-22 08:28:41 EST
Created attachment 1117191 [details]
File: open_fds
Comment 11 Damon Hill 2016-01-22 08:28:42 EST
Created attachment 1117192 [details]
File: proc_pid_status
Comment 12 Damon Hill 2016-01-22 08:28:43 EST
Created attachment 1117193 [details]
File: var_log_messages
Comment 13 Damian Wrobel 2016-02-12 12:10:01 EST
Actually I don't see in a backtrace any function which belongs to the glogg application.

On the other hand there seems to be other reports which have very similar backtrace e.g: bug#1305377, bug#1303274, bug#1303277 or bug#1301331 just to name a few of them. So to me, it looks more like a qt related issue.
Comment 14 Rex Dieter 2016-02-12 12:14:43 EST
rpm -q qt5-qtbase

please.

If not at qt5-qtbase-5.5.1-11 yet, please update, and retest.
Comment 15 Damon Hill 2016-04-03 00:15:16 EDT
OK,  I'll do it and let you know. Thanks.
Comment 16 Fedora End Of Life 2016-11-24 10:06:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:04:29 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.